function findAndWriteEigenvectorsDense(prefix, numeigv, m_check, n_check)
try 
    A = loadMatrixDense([prefix '.matrix.bin']);
    [m n] = size(A);
    
    if exist('m_check')
        assert(m_check==m);
    end
    
    if exist('n_check')
        assert(n_check==n)
    end

    % optional: sparsify matrix
	%nz = nnz(A);        
	%if nz < 10 * m
    %    A = sparse(A);
	%end

    OPTS.maxit = 300;
    [V, E] = eigs(A, numeigv, 'LM', OPTS);
    %[V E] = eig(A);
    E = diag(E);
    
    writeMatrixDense(full(V), [prefix '.eigenvectors.bin']);
    writeVector(E, [prefix '.eigenvalues.bin']);

    exit
catch exception
    exception
    exit
end
end