/***************************************************************************
 *   Copyright (C) 2008 by Vladimir Kim									   *
 *   Author: Vladimir Kim (vk@princeton.edu)							   *
 ***************************************************************************/
#include "ShapeDistance.h"

VKString ShapeDistance::m_sDefaultEuclidean = "eucl";
VKString ShapeDistance::m_sDefaultGeodesic = "geod";

ShapeDistance::ShapeDistance(GeomShape * shape, const VKString & distMetric)
{
	m_pShape = shape;
	m_sDistMetricName = distMetric;
}

ShapeDistance::~ShapeDistance()
{
	
}

const GeomShape * ShapeDistance::Geometry()
{
	return m_pShape;
}
bool ShapeDistance::SameGeometry(GeomShape * geom)
{
	return Geometry()==geom;
}

DistEuclidean * ShapeDistance::SafeCastToEuclidean()
{
	return NULL;
}

DistGeodesicDijkstra * ShapeDistance::SafeCastToGeodesic()
{
	return NULL;
}
